Subject: fvwm 2.047b: FvwmButton geometry problem

From: "Robert H. Ford II" <[email-masked]>
Date: Tue, 30 Jun 1998 08:53:29 -0500

Second try for an answer.

I have compiled fvwm2.0.47b on Solaris 2.5.1, using gcc 2.8.0, x11r6.1
successfully.

The only problem I have is that FvwmButtons refuses to start in location I have
indecated in my fvwmbuttons file.

The following is the line specifiying my fvwmbuttons file:

*FvwmButtonsFile /home/misha21/.fvwm2.0.47/buttons/fvwmbuttons

And this is the "fvwmbuttons" file (I know this is long, sorry):

###################### FvwmButtons button-bar ###########################

# Colors
Fore white
Back grey39

# Font
Font -misc-fixed-medium-r-normal-*-10-*-*-*-*-*-*-*

# Geometry - really likes to pick its own size, but giving a position is OK
Geometry +1228+139

# Layout: specify rows or columns, not both
Columns 1

# Define the buttons to use.....
(1x5,Container(Rows7, Frame 1))
(Icon locker.xpm,Back firebrick3,Frame 0, \
        Action(Mouse 1) 'Exec AutoLockerActive.sh &', \
        Action(Mouse 2) 'Exec AutoLockerReStart.sh &', \
        Action(Mouse 3) 'Exec AutoLockerExit.sh &', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(1x6,Swallow (Close,NoHints,Respawn,NoOld,Notitle) "FvwmPager" "FvwmPager 0 5",F
rame 0,Back firebrick3)
(End)

(Title ihgp95b,Icon xterm.1.xpm,Frame 0,NoSize,Action \
        'Exec "ihgp95b" exec xterm -name ihgp95b -title ihgp95b -bg antiquewhite
 -fg black -bd magenta4 & ', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(Title ihecms,Icon ihecms.xpm,Frame 0,NoSize,Action \
        'Exec "ihecms" xterm -name ihecms -title ihecms -bg antiquewhite -fg bla
ck -bd magenta4 -e rlogin ihecms & ', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(Title ihlpq,Icon ihlpq.xpm,Frame 0,NoSize,Action \
        'Exec "ihlpq" xterm -name ihlpq -title ihlpq -bg antiquewhite -fg black 
-bd magenta4 -e rlogin ihlpq & ', \
        Font -adobe-helvetica-medium-r-*-*-8-*-*-*-*-*-*-*)
(1x4,Container(Rows5,Frame 0,Padding 0 0, NoSize))
(Icon sm_xadm.xpm,Frame 0,NoSize, \
        Action(Mouse 1) 'Exec "xadm" xterm -bg antiquewhite -fg black -bd magent
a4 -title xadm -e /bin/su - xadm &' \
        Action(Mouse 2) 'Exec "xadm" xterm -bg antiquewhite -fg black -bd magent
a4 -title xadm -e rlogin ihgplic -l xadm &' \
        Action(Mouse 3) 'Exec "xadm" xterm -bg antiquewhite -fg black -bd magent
a4 -title xadm -e rlogin ihgp24 -l xadm &')
(Title rlogin,Icon my_rlogin.xpm,Frame 0,Size 40 61,Action \
        "Function Find-or-Start Tkrl")
(Icon netscape33.xpm,Frame 0,NoSize,Action \
        "Function Find-or-Start Netscape",\
        Font -misc-fixed-medium-r-normal-*-7-*-*-*-*-*-*-*)
(Title Adept,Icon adept2.xpm,Frame 0,NoSize, \
        Action(Mouse 1) 'Exec "Adept[FULL]" xterm -bg antiquewhite -fg black -bd
 magenta4 -title Adept[FULL] -e adept -x &' \
        Action(Mouse 2) NOP \
        Action(Mouse 3) 'Exec "Adept[CI]" xterm -bg antiquewhite -fg black -bd m
agenta4 -title Adept[CI] -e adept -x -mci &')
(1x1,Container(Rows3,Frame 0,Padding 0 0, NoSize))
(Title ReStart,Back black,Fore yellow,Frame 0,Action 'Restart fvwm2')
(1x2,icon Exit.xpm,Padding 0 0,Frame 0,Action Quit)
(End)
(end)
(1x1,Container(Rows3,Frame 0),Padding 0 0,NoSize)
(1x1,Container(Columns3,Frame 1,Padding 0 0, NoSize))
(Icon sm_xv.xpm,NoSize,Action 'Exec "xv" xv &')
(Icon sm_myxpaint.xpm,NoSize,Action 'Function Find-or-Start xcolorsel')
(Icon sm_myfonts.xpm,NoSize,Action 'Function Find-or-Start xfontsel')
(End)
(1x1,Container(Columns3,Frame 1,Padding 0 0, NoSize))
(Icon sm_xpaint.xpm,NoSize,Action 'Function Find-or-Start xpaint')
(Icon sm_myclockdig.xpm,NoSize,Action 'Function Find-or-Start xdaliclock')
(Icon my.audio.xpm,NoSize,Action 'Function Find-or-Start audiocontrol')
(End)
(1x1,Container(Columns3,Frame 1,Padding 0 0, NoSize))
(Icon sm_cdrom-33.xpm,NoSize,Action 'Function Find-or-Start xmcd')
(Icon sm_rcalc.xpm,NoSize,Action 'Function Find-or-Start calctool')
(Icon miniFrameMakerDoc.xpm,NoSize,Action 'Function Find-or-Start maker')
(End)
(End)

Instead of starting at position +1228+139, Fvwmbuttons start at +1264+333.

Does anyone have any idea why or how this could happen.

I use the same "fvwmbuttons" file with fvwm2.0.45 and have no problems.

Thank you for any and all help.
-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     Email: [email-masked]
                                                Voice: (630) 713-4957
__________________________________________________
|  M R spiders!                    |      |   |  |
|  M N O spiders!                  |      |   |  |
|  O S A R - C D E D B D I's?      |      |   |  |
|  Y I B, M R spiders...           |      |   *  |
|                                  *      |      |
|                                         *      |
--------------------------------------------------
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].